# Tools for idealized parameter estimation experiments

* `PE_CBL.py`  
Main driver program for parameter estimation with a convective boundary layer model. Includes a few examples.

* `models.py`  
Model code. At the moment, it only includes a CBL model.

* `ENDA.py`  
Data assimilation code. Includes implementations of the EAKF and the LETKF. Also includes classes for data assimilation cycles, diagnostics and experiments (nature run + cycle + diagnostics).

* `graphics.py`  
Includes all the code for generating figures.

The code depends on `numpy`, `scipy`, `matplotlib.pyplot`